
Figure - Bug #116450
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111069 (New): AF-V3.0--Launcher/SystemUI-小窗模式入口

【AF】【EVT】【小窗模式】打开视频小窗、播放视频，将其调整为mini模式，上下拖动Mini小窗，mini小窗
上方偶尔闪过小窗的顶部导航条
2023-02-22 15:09 - CD TEST-方永红

Status: CLOSED Start date: 2023-02-22

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: 窗口定制 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0076.X101

Resolution: FIXED Degrated: --

Severity: Normal Verified Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C101.202302250116

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: 进行缩放动画的时候,计算位置时,由于强制类型转换,会导致某次计算的高度会比默认的高度大1,所以造成判断mini态出错,显示了Caption栏

Description

【前提条件】

1、设备已开机

2、本地有视频

【测试步骤】

1、打开视频小窗

2、播放视频

3、轻微拖动小窗使其调整为mini模式

4、上下拖动Mini小窗

【预期结果】

4、拖动过程中mini小窗正常显示

【实际结果】

4、mini小窗上方偶尔闪过小窗的顶部导航条

【PS】

图库mini小窗也有同样的问题

History

#1 - 2023-02-23 14:29 - CD TEST-方永红

- Description updated

#2 - 2023-02-23 16:38 - CD FW-鲁凯峰

■ Current conclusion

问题已经解决

■ My analysis

产生问题的原因,进行缩放动画的时候,计算位置时,由于强制类型转换,会导致某次计算的高度会比默认的高度大1,所以造成判断mini态出错,显示了Caption

栏

解决问题的方法是,在计算位置时,不适用强制类型状态,使用Math.round方法进行四舍五入后,在来计算bounds的大小
■ Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/183865

#3 - 2023-02-24 13:44 - CD FW-鲁凯峰

- Status changed from New to RESOLVED

#4 - 2023-02-24 13:45 - CD FW-鲁凯峰

- Resolution changed from -- to FIXED

#5 - 2023-02-24 13:45 - CD FW-鲁凯峰

- Assignee changed from CD FW-鲁凯峰 to CD TEST-方永红

- Root cause set to 进行缩放动画的时候,计算位置时,由于强制类型转换,会导致某次计算的高度会比默认的高度大1,所以造成判断mini态出错,显示了Caption

栏

#6 - 2023-02-27 11:01 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- % Done changed from 0 to 100

- Verified Version set to FlatBuild_HH_MCE_FSE.M.D.user.01.00.C101.202302250116

2.27

验证通过

#7 - 2023-02-27 11:01 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

Phone-STS40X190078 2023-02-22 15-06-34.mp4 18.3 MB 2023-02-22 CD TEST-方永红
